Get a platform's price
curl --request GET \
--url https://go-fetch.io/api/v1/pricing/{platform}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/pricing/{platform}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/pricing/{platform}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"platform_display": "<string>",
"price_per_1000": "<string>",
"price_per_item": "<string>",
"minimum_charge_usd": "<string>",
"minimum_charge_enabled": true,
"is_active": true
}Pricing
Get a platform's price
API endpoint for viewing platform pricing.
Public endpoint - no authentication required.
Detail endpoint uses the platform slug as the lookup parameter, NOT a UUID.
Example: GET /api/v1/pricing/instagram/ (not /api/v1/pricing/<uuid>/)
Valid platform slugs: instagram, youtube, tiktok, facebook
GET
/
api
/
v1
/
pricing
/
{platform}
/
Get a platform's price
curl --request GET \
--url https://go-fetch.io/api/v1/pricing/{platform}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/pricing/{platform}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/pricing/{platform}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"platform_display": "<string>",
"price_per_1000": "<string>",
"price_per_item": "<string>",
"minimum_charge_usd": "<string>",
"minimum_charge_enabled": true,
"is_active": true
}Authorizations
Path Parameters
Social media platform
instagram- Instagraminstagram_comments- Instagram Commentsyoutube- YouTubetiktok- TikToktiktok_comments- TikTok Commentsfacebook- Facebookgoogle_serp- Google SERPtiktok_search- TikTok Searchtiktok_profile- TikTok Profile
Available options:
instagram, instagram_comments, youtube, tiktok, tiktok_comments, facebook, google_serp, tiktok_search, tiktok_profile Response
200 - application/json
Social media platform
Price per 1,000 items scraped (USD)
Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Pattern:
^-?\d{0,4}(?:\.\d{0,6})?$The least a completed job of this type that returned results costs, in USD as a decimal string; null when this type has no minimum.
Whether a completed job of this type that returned results costs at least minimum_charge_usd.
Whether this platform is available for scraping